Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network32.2.0.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
32.2.0.0
Broadcast address
32.2.3.255
First usable
32.2.0.1
Last usable
32.2.3.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 20020000 · Integer 537001984 to 537003007
Reverse DNS zones
0.2.32.in-addr.arpa
1.2.32.in-addr.arpa
2.2.32.in-addr.arpa
3.2.32.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100000.00000010.00000000.0000000032.2.0.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00100000.00000010.00000000.0000000032.2.0.0
Broadcast00100000.00000010.00000011.1111111132.2.3.255
Split into smaller subnets/28

32.2.0.0/22 makes 64 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
132.2.0.0/2832.2.0.1 to 32.2.0.1432.2.0.1514
232.2.0.16/2832.2.0.17 to 32.2.0.3032.2.0.3114
332.2.0.32/2832.2.0.33 to 32.2.0.4632.2.0.4714
432.2.0.48/2832.2.0.49 to 32.2.0.6232.2.0.6314
532.2.0.64/2832.2.0.65 to 32.2.0.7832.2.0.7914
632.2.0.80/2832.2.0.81 to 32.2.0.9432.2.0.9514
732.2.0.96/2832.2.0.97 to 32.2.0.11032.2.0.11114
832.2.0.112/2832.2.0.113 to 32.2.0.12632.2.0.12714
932.2.0.128/2832.2.0.129 to 32.2.0.14232.2.0.14314
1032.2.0.144/2832.2.0.145 to 32.2.0.15832.2.0.15914
1132.2.0.160/2832.2.0.161 to 32.2.0.17432.2.0.17514
1232.2.0.176/2832.2.0.177 to 32.2.0.19032.2.0.19114
1332.2.0.192/2832.2.0.193 to 32.2.0.20632.2.0.20714
1432.2.0.208/2832.2.0.209 to 32.2.0.22232.2.0.22314
1532.2.0.224/2832.2.0.225 to 32.2.0.23832.2.0.23914
1632.2.0.240/2832.2.0.241 to 32.2.0.25432.2.0.25514
1732.2.1.0/2832.2.1.1 to 32.2.1.1432.2.1.1514
1832.2.1.16/2832.2.1.17 to 32.2.1.3032.2.1.3114
1932.2.1.32/2832.2.1.33 to 32.2.1.4632.2.1.4714
2032.2.1.48/2832.2.1.49 to 32.2.1.6232.2.1.6314
2132.2.1.64/2832.2.1.65 to 32.2.1.7832.2.1.7914
2232.2.1.80/2832.2.1.81 to 32.2.1.9432.2.1.9514
2332.2.1.96/2832.2.1.97 to 32.2.1.11032.2.1.11114
2432.2.1.112/2832.2.1.113 to 32.2.1.12632.2.1.12714
2532.2.1.128/2832.2.1.129 to 32.2.1.14232.2.1.14314
2632.2.1.144/2832.2.1.145 to 32.2.1.15832.2.1.15914
2732.2.1.160/2832.2.1.161 to 32.2.1.17432.2.1.17514
2832.2.1.176/2832.2.1.177 to 32.2.1.19032.2.1.19114
2932.2.1.192/2832.2.1.193 to 32.2.1.20632.2.1.20714
3032.2.1.208/2832.2.1.209 to 32.2.1.22232.2.1.22314
3132.2.1.224/2832.2.1.225 to 32.2.1.23832.2.1.23914
3232.2.1.240/2832.2.1.241 to 32.2.1.25432.2.1.25514
3332.2.2.0/2832.2.2.1 to 32.2.2.1432.2.2.1514
3432.2.2.16/2832.2.2.17 to 32.2.2.3032.2.2.3114
3532.2.2.32/2832.2.2.33 to 32.2.2.4632.2.2.4714
3632.2.2.48/2832.2.2.49 to 32.2.2.6232.2.2.6314
3732.2.2.64/2832.2.2.65 to 32.2.2.7832.2.2.7914
3832.2.2.80/2832.2.2.81 to 32.2.2.9432.2.2.9514
3932.2.2.96/2832.2.2.97 to 32.2.2.11032.2.2.11114
4032.2.2.112/2832.2.2.113 to 32.2.2.12632.2.2.12714
4132.2.2.128/2832.2.2.129 to 32.2.2.14232.2.2.14314
4232.2.2.144/2832.2.2.145 to 32.2.2.15832.2.2.15914
4332.2.2.160/2832.2.2.161 to 32.2.2.17432.2.2.17514
4432.2.2.176/2832.2.2.177 to 32.2.2.19032.2.2.19114
4532.2.2.192/2832.2.2.193 to 32.2.2.20632.2.2.20714
4632.2.2.208/2832.2.2.209 to 32.2.2.22232.2.2.22314
4732.2.2.224/2832.2.2.225 to 32.2.2.23832.2.2.23914
4832.2.2.240/2832.2.2.241 to 32.2.2.25432.2.2.25514
4932.2.3.0/2832.2.3.1 to 32.2.3.1432.2.3.1514
5032.2.3.16/2832.2.3.17 to 32.2.3.3032.2.3.3114
5132.2.3.32/2832.2.3.33 to 32.2.3.4632.2.3.4714
5232.2.3.48/2832.2.3.49 to 32.2.3.6232.2.3.6314
5332.2.3.64/2832.2.3.65 to 32.2.3.7832.2.3.7914
5432.2.3.80/2832.2.3.81 to 32.2.3.9432.2.3.9514
5532.2.3.96/2832.2.3.97 to 32.2.3.11032.2.3.11114
5632.2.3.112/2832.2.3.113 to 32.2.3.12632.2.3.12714
5732.2.3.128/2832.2.3.129 to 32.2.3.14232.2.3.14314
5832.2.3.144/2832.2.3.145 to 32.2.3.15832.2.3.15914
5932.2.3.160/2832.2.3.161 to 32.2.3.17432.2.3.17514
6032.2.3.176/2832.2.3.177 to 32.2.3.19032.2.3.19114
6132.2.3.192/2832.2.3.193 to 32.2.3.20632.2.3.20714
6232.2.3.208/2832.2.3.209 to 32.2.3.22232.2.3.22314
6332.2.3.224/2832.2.3.225 to 32.2.3.23832.2.3.23914
6432.2.3.240/2832.2.3.241 to 32.2.3.25432.2.3.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses